
QGIS Application - Bug report #10269

Attribute table edit crash

2014-05-14 03:54 PM - James Harvey

Status: Closed

Priority: High

Assignee:

Category: Attribute table

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 18701

Description

I have a basic points shp file that has about 25 records in.

I have about 3 records with no x y locations that I am trying to update. When I go into edit mode on the layer and into the attribute table

and select the row to edit and click on pan map to selected row it causes an application crash.

History

#1 - 2014-05-15 03:34 AM - Tobias Schneider

- File crash_polygons.zip added

I can confirm this for the current build. Does QGIS-daily currently corrupt shapefiles? See attachment for a file that never fails to crash for me.

#2 - 2014-05-15 06:03 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Operating System deleted (Windows)

- OS version deleted (2.3)

for the original reporter: please attach sample data and describe exact steps

for Tobias Sch: I cannot replicate any crash with your shapefile (please describe exact steps) that anyway has an error (in the upper right polygon there is a

ring with just tw0 vertexes).

#3 - 2014-05-15 10:10 AM - Tobias Schneider

@Giovanni - Just loading the file in Ubuntu crashes the program (each time). Might only happen in 14.04, 64 bit. Might also be separate bug that the Linux

version can't handle that kind of polygon. By the way, I created the upper right polygon by accident by using the node-tool.

#4 - 2014-05-15 10:13 AM - Giovanni Manghi

Tobias Sch wrote:

@Giovanni - Just loading the file in Ubuntu crashes the program (each time). Might only happen in 14.04, 64 bit.

it does not here (ubuntu 12.04 64bit). Please run qgis from the console e copy/paste the message that shows after the crash.
#5 - 2014-05-15 10:19 AM - Tobias Schneider

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

Warning: QGraphicsScene::addItem: item has already been added to this scene

Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Toolbox" under id 226 

Warning 1: organizePolygons() received an unexpected geometry.

Either a polygon with interior rings, or a polygon with less than 4 points,

or a non-Polygon geometry.  Return arguments as a collection.

QGIS died on signal 11Cannot fork (12:Nicht genügend Hauptspeicher verfügbar)   [[Translation: Out of memory]]

Stacktrace (piped through c++filt):

Abgebrochen (Speicherabzug geschrieben)    [[Translation: Aborted (Core dumped)]]

#6 - 2014-05-20 06:50 PM - James Harvey

I tried again recently with the SHP file without anything else in the project and it was ok with updating. I did a select point item and then zoom to point

location and moved the point in edit mode. No crash there. I suspect it could of been due to the fact that I have a large project with many layers and it is

causing a few memory issues. I'm on a HP Z220 24gb ram running off my local hard drive.

I'll post again if I get an error message back in my main project.

#7 - 2014-05-20 07:49 PM - James Harvey

I got an error again on my larger project while moving one of the points.

#8 - 2014-06-16 11:21 PM - Jürgen Fischer

- Category set to Attribute table

#9 - 2014-06-24 05:35 AM - Matthias Kuhn

Looking at this message:

QGIS died on signal 11Cannot fork (12:Nicht genügend Hauptspeicher verfügbar)   [[Translation: Out of memory]]

I guess the bug is, that the attribute table could be optimized to be more memory friendly.

#10 - 2015-02-14 08:00 AM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Feedback to Closed

Unfortunately not reproducable.   Please find a reproducable example and reopen.

Files

crash_polygons.zip 24.5 KB 2014-05-15 Tobias Schneider
